# 吉里吉里Zマルチプラットフォーム版 API リファレンス
吉里吉里Zマルチプラットフォーム版 API リファレンスです。

# マルチプラットフォーム版 について
Windowsに加えてAndroidでも動作するようにしたバージョンです。  
非力な環境でも描画速度が出るようにGPU描画がメインとなっています。  
現在のところ旧バージョンとは互換性が一部ありません。

# 環境依存機能
マルチプラットフォーム版は全環境で全てのメソッドやプロパティが使えるわけではありません。  
一部機能については環境固有となります。  
環境固有のメソッド等については、説明概要に[Windows]や[Android]と文頭に書かれています。  
そのように書かれているメソッド等はその環境でのみ使用できます。  
呼び出しても何も起こらないもの、例外が出るものなどあります。  
詳細については、以下のように末尾記号で判別してください。  

* [Windows+] Windowsでのみ使用可能、その他環境では例外や動作不定などがあるので使用禁止。
* [Windows*] Windowsで使用可能、その他環境では何も起こらない。
* [Windows] Windowsで使用可能、その他環境では動作不定。

System.isWindowsやSystem.isAndroidプロパティを用いることで動的にどちらの環境か判定することができます。
静的に判定する場合は、プリプロセッサを用います。
Windowsでは"windows"が1に、Androidでは"android"が1に設定されています。  
静的に判定する場合、バイトコードの出力結果が環境に依存することに注意してください。  
コンパイルした環境用のバイトコードが出力されます。  
これを回避するためにはコンパイル関数呼び出しの前にプリプロセッサの値を事前に変更し、各環境に合ったものにしてバイトコード化する必要があります。
