# Android 版の音声に関する制約

Android の OpenSL ES 仕様上発生する Windows 版の現吉里吉里Z 制限とは異なる制限について記載する。  
ソフトウェアで事前に変換することで(表面上の)制限をなくすことは可能ではあるが、行う予定は今のところない。

以下、具体的な制限。

* 8 ビット符号なしまたは 16 ビット符号付き
(浮動小数点データでの再生は、Android 5.0 以降でのサポート。Android 版は初期は実装しない予定)

* モノラルまたはステレオ
( Windows 版はさらに多チャンネルサポートしているが Android 版は非サポート)

* サンプルレート
8000,11025,12000,16000,22050,24000,32000,44100,48000Hz
( 48000Hz を推奨。推奨値は端末依存だが 48kHz が多い模様。レイテンシ低減に効くとドキュメントに記載)

* 同時再生数 32
(ドキュメントでは object と言う表現なので、もしかしたらもう少し少ないかもしれない。また OpenMAX AL と共有とのことなので動画もこの数に含む。自前でミキシングすればこの上限は関係ないが、そこまで厳しい制限でもないため現状上限はこのままの予定)

[Audio output latency](https://googlesamples.github.io/android-audio-high-performance/guides/audio-output-latency.html) に低遅延に関する情報がある。  
デバイスの最適サンプリングレートとバッファサイズを使用して、常時無音出力して準備するというものであるが、そこまでは行わない。  